<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingLeft="20dp"
    android:paddingRight="20dp">

    <TextView
        android:id="@+id/updateTimeTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:text="每天 10:00 更新昨日数据"
        android:textColor="@color/text_white"
        android:textSize="12sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_personal_card"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/updateTimeTv">

        <TextView
            android:id="@+id/dataOverviewTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="14dp"
            android:text="数据总览"
            android:textColor="@color/text_title"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/fansLl"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@+id/videoPlayCountLl"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/dataOverviewTv">

            <TextView
                android:id="@+id/fansCountTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:textColor="@color/text_title"
                android:textSize="18sp"
                android:textStyle="bold"
                tools:text="0" />

            <TextView
                android:id="@+id/increaseFansCountTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="2dp"
                android:drawablePadding="2dp"
                android:text="0"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="10sp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:gravity="center_horizontal"
                android:text="粉丝"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/videoPlayCountLl"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@+id/voteLl"
            app:layout_constraintStart_toEndOf="@+id/fansLl"
            app:layout_constraintTop_toBottomOf="@+id/dataOverviewTv">

            <TextView
                android:id="@+id/videoPlayCountTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:textColor="@color/text_title"
                android:textSize="18sp"
                android:textStyle="bold"
                tools:text="0" />

            <TextView
                android:id="@+id/increaseVideoPlayCountTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="2dp"
                android:drawablePadding="2dp"
                android:text="0"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="10sp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:gravity="center_horizontal"
                android:text="视频播放"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/voteLl"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/videoPlayCountLl"
            app:layout_constraintTop_toBottomOf="@+id/dataOverviewTv">

            <TextView
                android:id="@+id/voteTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:textColor="@color/text_title"
                android:textSize="18sp"
                android:textStyle="bold"
                tools:text="0" />

            <TextView
                android:id="@+id/increaseVoteTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="2dp"
                android:drawablePadding="2dp"
                android:text="0"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="10sp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:gravity="center_horizontal"
                android:text="点赞"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/commentLl"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:layout_marginBottom="22dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/videoPlayCountLl"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/fansLl">

            <TextView
                android:id="@+id/commentCountTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:textColor="@color/text_title"
                android:textSize="18sp"
                android:textStyle="bold"
                tools:text="0" />

            <TextView
                android:id="@+id/increaseCommentCountTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="2dp"
                android:drawablePadding="2dp"
                android:text="0"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="10sp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:gravity="center_horizontal"
                android:text="评论"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/shareCountLl"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@+id/collectLl"
            app:layout_constraintStart_toEndOf="@+id/commentLl"
            app:layout_constraintTop_toBottomOf="@+id/fansLl">

            <TextView
                android:id="@+id/shareCountTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="@{NumberUtils.transSimpleLetterCount(entity.share)}"
                android:textColor="@color/text_title"
                android:textSize="18sp"
                android:textStyle="bold"
                tools:text="0" />

            <TextView
                android:id="@+id/increaseShareCountTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="2dp"
                android:drawablePadding="2dp"
                android:text="0"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="10sp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:gravity="center_horizontal"
                android:text="分享"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/collectLl"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/shareCountLl"
            app:layout_constraintTop_toBottomOf="@+id/fansLl">

            <TextView
                android:id="@+id/collectTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:textColor="@color/text_title"
                android:textSize="18sp"
                android:textStyle="bold"
                tools:text="0" />

            <TextView
                android:id="@+id/increaseCollectTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="2dp"
                android:drawablePadding="2dp"
                android:text="0"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="10sp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:gravity="center_horizontal"
                android:text="收藏"
                android:textColor="@color/text_subtitleDesc"
                android:textSize="12sp" />
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>